services:
  foo: { class: FooClass }
  baz: { class: BazClass }
  shared: { class: FooClass, shared: true }
  non_shared: { class: FooClass, shared: false }
  constructor: { class: FooClass, constructor: getInstance }
  file: { class: FooClass, file: %path%/foo.php }
  arguments: { class: FooClass, arguments: [foo, "@foo", [true, false]] }
  configurator1: { class: FooClass, configurator: sc_configure }
  configurator2: { class: FooClass, configurator: [@baz, configure] }
  configurator3: { class: FooClass, configurator: [BazClass, configureStatic] }
  method_call1:
    class: FooClass
    calls:
      - [ setBar, [] ]
  method_call2:
    class: FooClass
    calls:
      - [ setBar, [ foo, @foo, [true, false] ] ]
  alias_for_foo: @foo
